package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synPositionDisableFactory
{
    private synPositionDisableFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynPositionDisable getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionDisable)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BC6B4DFA") ,com.kingdee.eas.custom.erp.IsynPositionDisable.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynPositionDisable getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionDisable)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BC6B4DFA") ,com.kingdee.eas.custom.erp.IsynPositionDisable.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynPositionDisable getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionDisable)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BC6B4DFA"));
    }
    public static com.kingdee.eas.custom.erp.IsynPositionDisable getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPositionDisable)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BC6B4DFA"));
    }
}